Page MenuHomePhabricator

set_level incorrectly handles path given as empty string
Closed, ResolvedPublicBUG

Description

T1758 introduced a bug in the handling of empty strings when calling set_level; consequently the construction

config.set_level('')

gives incorrect behavior.

Details

Difficulty level
Easy (less than an hour)
Version
vyos-1.2-rolling-201912040217
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

jestabro changed the task status from Open to In progress.Dec 4 2019, 10:06 PM
jestabro triaged this task as Unbreak Now! priority.
jestabro created this task.
jestabro created this object in space S1 VyOS Public.
jestabro closed this task as Resolved.Dec 5 2019, 12:40 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Dec 6 2019, 7:42 PM